petsc-3.6.2 2015-10-02
Report Typos and Errors

# TSExactFinalTimeOption

option for handling of final time step

### Synopsis

    typedef enum {TS_EXACTFINALTIME_STEPOVER=0,TS_EXACTFINALTIME_INTERPOLATE=1,TS_EXACTFINALTIME_MATCHSTEP=2} TSExactFinalTimeOption;

Developer Notes: this must match petsc/finclude/petscts.h

     TS_EXACTFINALTIME_STEPOVER    - Don't do anything if final time is exceeded

     TS_EXACTFINALTIME_INTERPOLATE - Interpolate back to final time

     TS_EXACTFINALTIME_MATCHSTEP - Adapt final time step to match the final time

### See Also

TSGetConvergedReason(), TSSetExactFinalTime()

Level:beginner
Location:src/ts/adapt/../../../include/petscts.h
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages